// Top-level build file where you can add configuration options common to all sub-projects/modules.
apply from : 'config.gradle'

def SUPPORT_VERSION = "26.1.0"
def MULTIDEX_VERSION = "1.0.2"
def GSON_VERSION = "2.8.6"
buildscript {
    ext.kotlin_version = "1.7.10"
    repositories {
        google()
        mavenCentral()
        maven {url 'https://maven.aliyun.com/repository/google/'}
        maven {url 'https://maven.aliyun.com/repository/public/'}
        maven {url 'https://maven.aliyun.com/repository/gradle-plugin/'}
        maven { url "https://mirrors.tencent.com/nexus/repository/maven-public/" }
        maven {url 'https://developer.huawei.com/repo/'}
        maven{ url 'https://maven.aliyun.com/nexus/content/groups/public/'}
      //  maven{ url 'https://oss.sonatype.org/content/repositories/snapshots'}

    }
    dependencies {
        classpath "com.android.tools.build:gradle:4.2.2"
        classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"
        classpath 'com.huawei.agconnect:agcp:1.4.2.300'
        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
    }
}

allprojects {
    repositories {
        maven {
            url uri("${project.rootDir}/libs/")
        }
        google()
        mavenCentral()


        maven {url 'https://maven.aliyun.com/repository/google/'}
        maven {url 'https://maven.aliyun.com/repository/public/'}
        maven {url 'https://maven.aliyun.com/repository/gradle-plugin/'}
        maven { url "https://www.jitpack.io" }
        maven {url 'https://developer.huawei.com/repo/'}
        maven{ url 'https://maven.aliyun.com/nexus/content/groups/public/'}
     //   maven{ url 'https://oss.sonatype.org/content/repositories/snapshots'}

        flatDir{
            dirs project(':common').file('lib')
        }
    }

    ConfigurationContainer container = project.configurations
    container.all { Configuration conf ->
        ResolutionStrategy rs = conf.resolutionStrategy
        //统一第三方库的版本号
        rs.eachDependency { details ->
            def requested = details.requested
            if (requested.group == "com.android.support") {
                //强制所有的 com.android.support 库采用固定版本
                if (requested.name.startsWith("multidex")) {
                    details.useVersion(MULTIDEX_VERSION)
                } else {
                    details.useVersion(SUPPORT_VERSION)
                }
            } else if (requested.group == "com.google.code.gson") {
                //统一 Gson 库的版本号
                details.useVersion(GSON_VERSION)
            } else if (requested.group == "org.jetbrains.kotlin") {
                //统一内部 kotlin 库的版本
                details.useVersion(kotlin_version)
            }
        }
    }

}

task clean(type: Delete) {
    delete rootProject.buildDir
}